import partial from 'lodash.partial';
import { mockCommandImplementation } from './mock-command-implementation';
import { mockQueryImplementation } from './mock-query-implementation';
import { shouldExecuteCommand } from './should-execute-command';
import { shouldExecuteQuery } from './should-execute-query';
import { shouldExecuteSideEffect } from './should-execute-side-effect';
export var makeAssertions = function makeAssertions(context) {
  return Object.assign(context.environment.promise, {
    shouldExecuteCommand: partial(shouldExecuteCommand, context),
    shouldExecuteQuery: partial(shouldExecuteQuery, context),
    shouldExecuteSideEffect: partial(shouldExecuteSideEffect, context),
    mockCommandImplementation: partial(mockCommandImplementation, context),
    mockQueryImplementation: partial(mockQueryImplementation, context)
  });
};
//# sourceMappingURL=make-assertions.js.map