import { SecretsManager } from '@resolve-js/core';
import type { CommandTestResult, TestAggregate, TestCommandAssertion, TestCommand, TestEvent } from '../../types';
declare type AggregateTestContext = {
    aggregate: TestAggregate;
    events: TestEvent[];
    aggregateId?: string;
    command: TestCommand;
};
export declare type AggregateTestEnvironment = {
    promise: Promise<CommandTestResult>;
    setAuthToken: (token: string) => void;
    setSecretsManager: (manager: SecretsManager) => void;
    setAssertion: (assertion: TestCommandAssertion) => void;
    getAssertion: () => TestCommandAssertion;
    isExecuted: () => boolean;
};
export declare const makeTestEnvironment: (context: AggregateTestContext) => AggregateTestEnvironment;
export {};
