import type { TestSaga, SagaTestResult, TestEvent, TestSagaAssertion, MockedCommandImplementation, MockedQueryImplementation } from '../../types';
import type { EventHandlerEncryptionFactory, SecretsManager } from '@resolve-js/core';
declare type SagaTestContext = {
    saga: TestSaga;
    events: TestEvent[];
    adapter?: any;
    encryption?: EventHandlerEncryptionFactory;
};
export declare type SagaTestEnvironment = {
    promise: Promise<SagaTestResult>;
    setSecretsManager: (manager: SecretsManager) => void;
    allowSideEffects: () => void;
    setSideEffectsStartTimestamp: (value: number) => void;
    addAssertion: (assertion: TestSagaAssertion) => void;
    isExecuted: () => boolean;
    mockCommandImplementation: (aggregateName: string, type: string, implementation: MockedCommandImplementation) => void;
    mockQueryImplementation: (modelName: string, resolverName: string, implementation: MockedQueryImplementation) => void;
};
export declare const makeTestEnvironment: (context: SagaTestContext) => SagaTestEnvironment;
export {};
